package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 流程节点result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/8/6
 */
public class FlowInfoResult implements Serializable {

    @ApiModelProperty(value = "自定义流程id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "版本号")
    private Integer version;

    public List<FlowTaskResult> flowTaskResultList;

    public FlowInfoResult() {

    }

    public FlowInfoResult(Long id, Integer version, List<FlowTaskResult> flowTaskResultList) {
        this.id = id;
        this.version = version;
        this.flowTaskResultList = flowTaskResultList;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public List<FlowTaskResult> getFlowTaskResultList() {
        return flowTaskResultList;
    }

    public void setFlowTaskResultList(List<FlowTaskResult> flowTaskResultList) {
        this.flowTaskResultList = flowTaskResultList;
    }
}
